Bug 834453 - [abrt] epiphany-3.4.1-2.fc17: g_type_check_instance_cast: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
[abrt] epiphany-3.4.1-2.fc17: g_type_check_instance_cast: Process /usr/bin/ep...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:dbdebb2cd2a54cbacf2cbe60b48...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 18:04 EDT by chrys87
Modified: 2012-11-01 08:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 08:30:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.16 KB, text/plain)
2012-06-21 18:04 EDT, chrys87
no flags Details
File: maps (39.72 KB, text/plain)
2012-06-21 18:04 EDT, chrys87
no flags Details
File: dso_list (13.02 KB, text/plain)
2012-06-21 18:04 EDT, chrys87
no flags Details
File: build_ids (4.96 KB, text/plain)
2012-06-21 18:04 EDT, chrys87
no flags Details

  None (edit)
Description chrys87 2012-06-21 18:04:28 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        epiphany
crash_function: g_type_check_instance_cast
executable:     /usr/bin/epiphany
kernel:         3.4.2-4.fc17.i686.PAE
pid:            22088
pwd:            /home/chrys
time:           Fr 22 Jun 2012 00:00:22 CEST
uid:            1000
username:       chrys

backtrace:      Text file, 32929 bytes
build_ids:      Text file, 5084 bytes
dso_list:       Text file, 13336 bytes
maps:           Text file, 40673 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/chrys/2

comment:
:1.I open epiphany. I open the caret mode in the epiphany browser (f7).
:2.I go to www.pro-linux.de.
:3.I navigate arround in the Navigation List and Loggin form on the left side. (arrow up/down)
:crash

core_backtrace:
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x30cd9 g_type_check_instance_cast libgobject-2.0.so.0 -
:139f37cd4167d55d0b2b21053d3733e8dcdb8392 0xbea2 spi_object_append_reference libatk-bridge.so -
:139f37cd4167d55d0b2b21053d3733e8dcdb8392 0xc21d spi_object_return_reference libatk-bridge.so -
:139f37cd4167d55d0b2b21053d3733e8dcdb8392 0x19a82 - libatk-bridge.so -
:139f37cd4167d55d0b2b21053d3733e8dcdb8392 0xfd2b - libatk-bridge.so -
:5b5557b5b0427930b220a00961393e29809c42f0 0x1effe - libdbus-1.so.3 -
:5b5557b5b0427930b220a00961393e29809c42f0 0xed55 dbus_connection_dispatch libdbus-1.so.3 -
:bb21322626c08eadcaed3b7d58d261951193b7d7 0x884e - libatspi.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0x98c04 g_application_run libgio-2.0.so.0 -
:3be0daa804266090555e5e1c8d9cf48005d8d396 0x244b5 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=chrys.home
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/chrys/keyring-jzi7zn
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:
:MAIL=/var/spool/mail/chrys
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/chrys/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1113
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/chrys
:SHLVL=1
:LOGNAME=chrys
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-UPvCBuh5eT,guid=28e333a5d90acf9805c73fe30000005f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/chrys
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-chrys-fv588C/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1117,unix/unix:/tmp/.ICE-unix/1117
:GPG_AGENT_INFO=/run/user/chrys/keyring-jzi7zn/gpg:0:1
:SSH_AUTH_SOCK=/run/user/chrys/keyring-jzi7zn/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/epiphany.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=22088
:DESKTOP_STARTUP_ID=gnome-shell-1364-chrys.home-epiphany-9_TIME52329705

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 32150                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       32150                32150                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/chrys/.xsession-errors
:pos:	71035
:flags:	02002
:2:/home/chrys/.xsession-errors
:pos:	71035
:flags:	02002
:3:socket:[2757153]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[2757156]
:pos:	0
:flags:	02004002
:6:socket:[2758962]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[2756467]
:pos:	0
:flags:	02004002
:9:socket:[2756468]
:pos:	0
:flags:	02000002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[2758964]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:anon_inode:inotify
:pos:	0
:flags:	02004000
:15:/home/chrys/.gnome2/epiphany/ephy-history.db
:pos:	9216
:flags:	02100002
:16:socket:[2757160]
:pos:	0
:flags:	02004002
:17:/home/chrys/.local/share/epiphany/WebpageIcons.db
:pos:	40
:flags:	02100002
:18:socket:[2757162]
:pos:	0
:flags:	02004002
:19:socket:[2759737]
:pos:	0
:flags:	02004002
:20:/dev/urandom
:pos:	0
:flags:	02000000
:21:socket:[2757953]
:pos:	0
:flags:	02000002
:22:/home/chrys/.gnome2/epiphany/cookies.sqlite
:pos:	4096
:flags:	02100002
:23:socket:[2757166]
:pos:	0
:flags:	04002
:24:socket:[2758050]
:pos:	0
:flags:	02004002

var_log_messages:
:Jun 21 16:03:13 chrys yum[15741]: Installed: 1:epiphany-3.4.1-2.fc17.i686
:Jun 21 16:03:14 chrys yum[15741]: Installed: epiphany-extensions-3.4.0-1.fc17.i686
:Jun 22 00:00:22 chrys kernel: [52331.448792] epiphany[22088]: segfault at 4 ip 4a920cd9 sp bfbc8210 error 4 in libgobject-2.0.so.0.3200.3[4a8f0000+4c000]
:Jun 22 00:00:23 chrys abrt[22553]: Saved core dump of pid 22088 (/usr/bin/epiphany) to /var/spool/abrt/ccpp-2012-06-22-00:00:22-22088 (123736064 bytes)

xsession_errors:
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GObject'
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GObject'
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
:** (epiphany:22088): CRITICAL **: register_object: assertion `G_IS_OBJECT (gobj)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GObject'
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GObject'
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
:** (epiphany:22088): CRITICAL **: register_object: assertion `G_IS_OBJECT (gobj)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
:(epiphany:22088): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Comment 1 chrys87 2012-06-21 18:04:32 EDT
Created attachment 593601 [details]
File: backtrace
Comment 2 chrys87 2012-06-21 18:04:35 EDT
Created attachment 593602 [details]
File: maps
Comment 3 chrys87 2012-06-21 18:04:38 EDT
Created attachment 593603 [details]
File: dso_list
Comment 4 chrys87 2012-06-21 18:04:40 EDT
Created attachment 593604 [details]
File: build_ids
Comment 5 Martin Stransky 2012-11-01 08:30:11 EDT
This is an automatic bug update. Please reopen then bug if you can reproduce the reported crash and assign the bug directly to me.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.